Issue1079

classification
Title: twisted.python.threadable module: missing attribute '_RLock'
Type: crash Severity: normal
Components: Library Versions: 2.5.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: cheeming, fwierzbicki, pjenvey, thijs, zyasoft
Priority: urgent Keywords:

Created on 2008-07-17.12:45:51 by cheeming, last changed 2009-09-07.21:33:32 by thijs.

Messages
msg3346 (view) Author: Chew Chee Ming (cheeming) Date: 2008-07-17.12:45:51
Traceback (most recent call last):
  File "test.py", line 1, in <module>
    import twisted.application.app
  File
"/home/cheeming/src/jython/dist/Lib/site-packages/twisted/application/app.py",
line 8, in <module>
    from twisted.python import runtime, log, usage, reflect, failure,
util, logfile
  File
"/home/cheeming/src/jython/dist/Lib/site-packages/twisted/python/log.py", line
15, in <module>
    from twisted.python import util, context, reflect
  File
"/home/cheeming/src/jython/dist/Lib/site-packages/twisted/python/context.py",
line 22, in <module>
    from twisted.python import threadable
  File
"/home/cheeming/src/jython/dist/Lib/site-packages/twisted/python/threadable.py",
line 117, in <module>
    init(True)
  File
"/home/cheeming/src/jython/dist/Lib/site-packages/twisted/python/threadable.py",
line 68, in init
    class XLock(threadingmodule._RLock, object):
AttributeError: 'module' object has no attribute '_RLock'
msg3381 (view) Author: Philip Jenvey (pjenvey) Date: 2008-07-31.23:32:12
fixed in r5036, thanks
msg5105 (view) Author: Philip Jenvey (pjenvey) Date: 2009-09-06.18:52:31
r6527 re-broke this:

http://twistedmatrix.com/trac/ticket/4002
msg5114 (view) Author: Jim Baker (zyasoft) Date: 2009-09-07.20:42:11
Fixed in r6762

Added test_threading_jy.TwistedTestCase to prevent future regressions.
msg5115 (view) Author: Thijs Triemstra (thijs) Date: 2009-09-07.21:33:31
Cool that fixed it: http://buildbot.twistedmatrix.com/builders/ubuntu64-
jython2.5-select/builds/254/steps/trial/logs/stdio

Back to the old issue; http://twistedmatrix.com/trac/ticket/3718
History
Date User Action Args
2009-09-07 21:33:32thijssetmessages: + msg5115
2009-09-07 21:24:13zyasoftsetstatus: open -> closed
resolution: fixed
2009-09-07 20:42:11zyasoftsetmessages: + msg5114
versions: + 2.5.1, - 2.5alpha1
2009-09-07 18:50:14fwierzbickisetnosy: + fwierzbicki
2009-09-06 18:53:18pjenveysetresolution: fixed -> (no value)
2009-09-06 18:52:31pjenveysetstatus: closed -> open
assignee: zyasoft
messages: + msg5105
nosy: + zyasoft, thijs
priority: urgent
2008-07-31 23:32:13pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg3381
nosy: + pjenvey
2008-07-17 12:45:51cheemingcreate